package com.ho.business.service;


import com.ho.business.entity.Convert;
import com.ho.business.vo.req.colCount.ColCountReq;
import com.ho.common.tools.util.PageResult;

import java.util.List;

/**
* @author yy
* @description 针对表【convert】的数据库操作Service
* @createDate 2023-07-11 15:12:50
*/
public interface ConvertService {

    void add(Convert vo);

    void delete(Integer id);

    PageResult<Convert> getPageList(ColCountReq vo);

    List<Convert> selectByStationIdAndCol(Integer stationId, String col);

    List<String> selectByCols(Integer stationId,Integer srcId, List<String> cols);
}
